Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth.module
Class AIX64System

    java.lang.Object
      com.ibm.security.auth.module.AIX64System

    public class AIX64System

extends java.lang.Object

This class implementation retrieves and makes available AIX 5L on IA64 UID/GID/groups information for the current user.

Author:
  D. Kent Soper

Constructor Summary
`AIX64System()` Instantiate a `AIX64System` and load the native library to access the underlying system information.

Method Summary
`long` | `getGid()` Get the GID for the current AIX 5L on IA64 user.
`long[]` | `getGroups()` Get the groups for the current AIX 5L on IA64 user.
`long` | `getUid()` Get the UID for the current AIX 5L on IA64 user.
`java.lang.String` | `getUsername()` Get the username for the current AIX 5L on IA64 user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIX64System

    public AIX64System()

  Instantiate a `AIX64System` and load the native library to access the underlying system information.

Method Detail

### getUsername

    public java.lang.String getUsername()

  Get the username for the current AIX 5L on IA64 user.

  Returns:
    the username for the current AIX 5L on IA64 user.

### getUid

    public long getUid()

  Get the UID for the current AIX 5L on IA64 user.

  Returns:
    the UID for the current AIX 5L on IA64 user.

### getGid

    public long getGid()

  Get the GID for the current AIX 5L on IA64 user.

  Returns:
    the GID for the current AIX 5L on IA64 user.

### getGroups

    public long[] getGroups()

  Get the groups for the current AIX 5L on IA64 user.

  Returns:
    the groups for the current AIX 5L on IA64 user.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD